#!/tvbin/tivosh
# SDD unscheduler by AlphaWolf_HK

EnableTransactionHoldoff true
tvsource $tcl_library/tv/mfslib.tcl

proc strim {str} { return [string trim $str "\{\} "] }

set db [dbopen]

ForeachMfsFile fsid name type /Recording/Active "" {
	if { $type == "tyDb" } {
		RetryTransaction {
			set rec [db $db openid $fsid]
			set showing [dbobj $rec get Showing]
			set program [dbobj $showing get Program]
			set title [strim [dbobj $program get Title]]
			set state [dbobj $rec get State]

			if {$state == 6 && $title == "TiVo Service Data"} {
				puts "Found $title at FSID: $fsid and unscheduling it."
				dbobj $rec set State 2
			}
		}
	}
}

# Tripple C is a hoe!
